@import url("https://fonts.googleapis.com/css2?family=Sigmar&display=swap");

/* Reset some default styles */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

/* Basic Body and Font Style */
body {
  font-family: "Arial", sans-serif;
  line-height: 1.6;
  color: #333;
  background-color: #f4f4f4;
}

/* Header */
header {
  background-color: #333;
  color: #fff;
  padding: 20px;
  text-align: center;
}
nav .logo {
  font-size: 2.5rem;
  font-weight: bold;
  margin-bottom: 10px;
  font-family: "Sigmar", serif;
}

nav ul {
  list-style: none;
  display: flex;
  justify-content: center;
}

nav ul li {
  margin: 0 15px;
}

nav ul li a {
  color: #fff;
  text-decoration: none;
  font-size: 1.1rem;
  transition: color 0.3s, transform 0.3s;
}

nav ul li a:hover {
  color: #f76c6c;
  transform: scale(1.1);
}

/* Hero Section */
#hero {
  background-image: url(bg-earth.jpg);
  background-size: cover;
  background-attachment: fixed;
  height: 100vh;
  width: 100%;
  text-align: center;
  color: #fff;
}
.hero-content {
  display: flex;
  justify-content: space-around;
  align-items: center;
  height: inherit;
}
.hero-image img {
  width: 250px;
  height: 250px;
  border-radius: 50%;
  object-fit: cover;
  margin-bottom: 20px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
}
/* Hero Section Animations */
@keyframes fadeIn {
  0% {
    opacity: 0;
    transform: translateY(-50px);
  }
  100% {
    opacity: 1;
    transform: translateY(0);
  }
}

#hero h1 {
  animation: fadeIn 2s ease-out;
  font-family: "Sigmar", serif;
  font-size: 3rem;
  margin-bottom: 20px;
  color: linear-gradient(
    to right,
    rgba(255, 0, 150, 0.8),
    rgba(0, 204, 255, 0.8)
  );
  text-shadow: 2px 2px 0px black, -2px -2px 0px black, 2px -2px 0px black,
    -2px 2px 0px black;
}

#hero p {
  font-size: 1.2rem;
  margin-bottom: 30px;
  text-shadow: 2px 2px 0px black, -2px -2px 0px black, 2px -2px 0px black,
    -2px 2px 0px black;
}

.cta-btn {
  background-color: #f76c6c;
  padding: 10px 30px;
  text-decoration: none;
  color: #fff;
  font-size: 1.1rem;
  border-radius: 5px;
  transition: background-color 0.3s;
}

.cta-btn:hover {
  background-color: #f32f2f;
}

/* About Section */
#about {
  padding: 80px 20px;
  background: linear-gradient(
    to right,
    rgba(255, 0, 150, 0.8),
    rgba(0, 204, 255, 0.8)
  );
  text-align: center;
}

#about h2 {
  font-size: 2.5rem;
  margin-bottom: 20px;
  font-family: "Sigmar", serif;
}

#about p {
  max-width: 800px;
  margin: 0 auto;
  font-size: 1.1rem;
  margin-bottom: 30px;
}
.skills {
  margin-top: 30px;
  display: flex;
  justify-content: center;
  gap: 15px;
}

.skill {
  background-color: #f76c6c;
  color: #fff;
  padding: 10px 25px;
  border-radius: 20px;
  font-size: 1.1rem;
}

.download-resume .cta-btn {
    background-color: #4CAF50;
    color: white;
    padding: 12px 30px;
    font-size: 1.1rem;
    text-decoration: none;
    border-radius: 5px;
    transition: background-color 0.3s;
  }
  
  .download-resume .cta-btn:hover {
    background-color: #45a049; 
  }
  
.about-subsection {
  margin-top: 40px;
  max-width: 800px;
  margin: 40px auto;
  padding: 20px;
  background-color: #f4f4f4;
  border-radius: 8px;
}
.about-subsection h3 {
  text-align: center;
  font-size: 2rem;
  margin-bottom: 15px;
  color: #f76c6c;
}
.about-subsection p {
  font-size: 1.1rem;
  margin-bottom: 15px;
}
.about-subsection ul {
  padding-left: 100px;
  font-size: 1.1rem;
}

.about-subsection ul li {
  text-align: left;
  margin-bottom: 8px;
}

/* General Styles */
ul {
  list-style-type: disc;
  padding-left: 20px;
}

/* Projects Section */
#projects {
  background-color: #f4f4f4;
  padding: 80px 0;
  text-align: center;
}

#projects h2 {
  font-size: 2.5rem;
  margin-bottom: 40px;
  font-family: "Sigmar", serif;
}

.project-carousel {
  display: flex;
  overflow: hidden;
  position: relative;
  justify-content: center;
  gap: 30px;
}

.carousel-item {
  position: relative;
  flex-shrink: 0;
  width: 60%;
  transition: transform 0.5s ease;
  cursor: pointer;
}

.carousel-item img {
  width: 100%;
  height: auto;
  object-fit: cover;
  transition: transform 0.3s ease;
}

.carousel-caption {
  position: absolute;
  bottom: 10px;
  left: 10px;
  background-color: rgba(0, 0, 0, 0.5);
  color: #fff;
  padding: 10px;
}
.carousel-caption a {
  text-decoration: none;
  color: #f76c6c;
  font-weight: bold;
}
.carousel-item:hover img {
  transform: scale(1.05);
}

/* Modal Styles */
.modal {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.8);
  justify-content: center;
  align-items: center;
  z-index: 1000;
}

.modal img {
  max-width: 90%;
  max-height: 90%;
  object-fit: contain;
}

/* Slider Navigation Buttons */
.slider-btn {
  background-color: #f76c6c;
  color: #fff;
  font-size: 1rem;
  padding: 10px 20px;
  border: none;
  border-radius: 5px;
  cursor: pointer;
  transition: background-color 0.3s;
  margin: 10px;
}

.slider-btn:hover {
  background-color: #f32f2f;
}

.prev {
  position: relative;
  right: 500px;
  bottom: 220px;
  transform: translateY(-50%);
}

.next {
  position: relative;
  left: 500px;
  bottom: 220px;
  transform: translateY(-50%);
}

/* Contact Section */

#contact {
  background-color: #333;
  color: #fff;
  padding: 80px 0;
  text-align: center;
}
.fab {
  position: fixed;
  bottom: 30px;
  right: 30px;
  background-color: #6d6363;
  color: #fff;
  font-size: 1.8rem;
  border-radius: 50%;
  padding: 15px;
  box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.2);
  transition: background-color 0.3s;
  text-decoration: none;
}

.fab:hover {
  background-color: #f32f2f;
}

/* Footer */
footer {
  text-align: center;
  padding: 20px;
  background-color: #222;
  color: #fff;
}
/* Contact Form Styles */
#contact form {
  max-width: 600px;
  margin: 20px auto;
  background-color: #f4f4f4;
  padding: 30px;
  border-radius: 8px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
  position: relative;
  top: 30px;
}
#contact h2{
    font-family: "Sigmar", serif;
}

.form-group {
  margin-bottom: 20px;
}

.form-group label {
  font-size: 1.1rem;
  color: #333;
  display: block;
  margin-bottom: 5px;
}

.form-group input,
.form-group textarea {
  width: 100%;
  padding: 10px;
  font-size: 1rem;
  border: 1px solid #ccc;
  border-radius: 5px;
}

.form-group textarea {
  height: 150px;
}

.submit-btn {
  background-color: #f76c6c;
  padding: 10px 30px;
  font-size: 1.2rem;
  color: #fff;
  border: none;
  border-radius: 5px;
  cursor: pointer;
  transition: background-color 0.3s;
}

.submit-btn:hover {
  background-color: #f32f2f;
}
